Account Users
POST
users/import
Bulk import users to the master member directory in a BIM 360 account of Forma hub. (50 users maximum can be included in each call.)
Note that this endpoint is compatible with both BIM 360 and Forma projects.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/hq/v1/accounts/:account_id/users/import |
| Method and URI (Legacy) | POST https://developer.api.autodesk.com/hq/v1/regions/eu/accounts/:account_id/users/import |
| Authentication Context | app only |
| Required OAuth Scopes | account:write |
| Data Formats | JSON |
Request
Headers
| Authorization yes | Must be Bearer <token>, where <token> is obtained via a two-legged OAuth flow. |
| Content-Type yes | Must be application/json |
| Region no | Specifies the region where the service is located. Possible values: US, EMEA. For the full list of supported regions, see the Regions page. |
Request
URI Parameters
| account_id string: UUID | The account/hub ID of the users. This corresponds to hub ID in the Data Management API. To obtain hub ID you need to remove the “b.” prefix. For example: b.c8b0c73d-3ae9 becomes c8b0c73d-3ae9. |
Request
Body Structure
The POST body is an array of flat JSON objects with the following attributes:
| company_id string: UUID | The user’s default company ID in BIM 360 |
| email* string | User’s email
Max length: 255
|
| nickname string | Nick name for user
Max length: 255
|
| first_name string | User’s first name
Max length: 255
|
| last_name string | User’s last name
Max length: 255
|
| image_url string | URL for user’s profile image
Max length: 255
|
| address_line_1 string | User’s address line 1
Max length: 255
|
| address_line_2 string | User’s address line 2
Max length: 255
|
| city string | City in which user is located
Max length: 255
|
| state_or_province enum: string | State or province in which user is located
Max length: 255
Note that the
state_or_province value depends on the selected country value;
see the valid values in the state_or_province list in
the Parameters guide. |
| postal_code string | Postal code for the user’s location
Max length: 255
|
| country enum: string | |
| phone string | Contact phone number for the user
Max length: 255
|
| company string | Company information from the Autodesk user profile
Max length: 255
Note that this is different from company in BIM 360.
|
| job_title string | User’s job title
Max length: 255
|
| industry string | Industry information for user
Max length: 255
|
| about_me string | Short description about the user
Max length: 255
|
| default_role string | The user’s default role
Max length: 255
|
* Required
Response
HTTP Status Code Summary
| 201 Created | A new resource has been successfully created. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 403 Forbidden | Unauthorized |
| 404 Not Found | The resource cannot be found. |
| 409 Conflict | The request could not be completed due to a conflict with the current state of the resource. |
| 422 Unprocessable Entity | The request was unable to be followed due to restrictions. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
Response
Body Structure (201)
A successful response returns a JSON object envelope for the import task with the following attributes:
Expand all
| success int | Import success company count |
| failure int | Import failure company count |
| success_items array:object | Array of user objects that were successfully imported |
| id | |
| account_id | |
| status | |
| role | |
| company_id | |
| company_name | |
| name | |
| nickname | |
| first_name | |
| last_name | |
| uid | |
| image_url | |
| last_sign_in | |
| address_line_1 | |
| address_line_2 | |
| city | |
| postal_code | |
| state_or_province | |
| country | |
| phone | |
| company | |
| job_title | |
| industry | |
| about_me | |
| created_at | |
| updated_at | |
| failure_items array:object | Array of user objects that failed to import, along with content and error information |
Example
Successful Import of One User (201)
Request
curl -v 'https://developer.api.autodesk.com/hq/v1/accounts/80793a28-f9b1-4888-9533-5f00cddcd6fb/users/import' \
-X 'POST' \
-H 'Authorization: Bearer XZvCJNhdxESsBRIH28MfLf2hKL5O' \
-H 'Content-Type: application/json' \
-d '[
{
"email": "john.smith@mail.com",
"nickname": "Johnny",
"first_name": "John",
"last_name": "Smith",
"image_url": "http://static-dc.autodesk.net/etc/designs/v201412151200/autodesk/adsk-design/images/autodesk_header_logo_140x23.png",
"address_line_1": "The Fifth Avenue",
"address_line_2": "#301",
"city": "New York",
"postal_code": "10011",
"state_or_province": "shanghai",
"country": "United States",
"phone": "(634)329-2353",
"company": "autodesk",
"job_title": "software developer",
"industry": "IT",
"about_me": "nothing",
"company_id": "14e95a5e-02eb-49aa-a39a-447d90544873",
"default_role": "BIM Manager"
}
]'
Show More
Response
{
"success": 1,
"failure": 0,
"success_items": [
{
"id": "8e3d3095-5e4a-4918-b57a-fe2066f8d443",
"account_id": "80793a28-f9b1-4888-9533-5f00cddcd6fb",
"status": "not_invited",
"role": "account_user",
"company_id": "14e95a5e-02eb-49aa-a39a-447d90544873",
"company_name": "Autodesk",
"email": "john.smith@mail.com",
"name": "John Smith",
"nickname": "Johnny",
"first_name": "John",
"last_name": "Smith",
"uid": "L9EBJKCGCXBB",
"image_url": "http://static-dc.autodesk.net/etc/designs/v201412151200/autodesk/adsk-design/images/autodesk_header_logo_140x23.png",
"last_sign_in": null,
"address_line_1": "The Fifth Avenue",
"address_line_2": "#301",
"city": "New York",
"postal_code": "10011",
"state_or_province": "New York",
"country": "United States",
"phone": "(634)329-2353",
"company": "Autodesk",
"job_title": "Software Developer",
"industry": "IT",
"about_me": "Nothing",
"default_role": "BIM Manager",
"default_role_id": "4e7e02ae-2994-4210-9153-84bfb9a23a63",
"created_at": "2016-04-07T08:45:51.050Z",
"updated_at": "2016-04-07T08:45:51.050Z"
}
],
"failure_items": []
}
Show More